Summary: PAM module through external storage
Name: pam_usb
Version: 0.3.1
Release: 2mdk
URL: http://www.pamusb.org/
Source0: http://www.pamusb.org/releases/%{name}-%{version}.tar.gz
Source1: %{name}-doc.tar.bz2
License: GPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: pam-devel openssl-devel readline-devel
Prefix: %{_prefix}

%description
pam_usb is a PAM module that enables authentication using an USB-Storage device
(such as an USB Pen) through DSA private/public keys.

It can also work with other devices, such as floppy disks or cdroms.

%prep
%setup -q -a1

%build
%make CFLAGS="%optflags -I ../../src"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_lib}/security $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/usbhotplug
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}-%{version}/html

# Installing documentation
install $RPM_BUILD_DIR/%{name}-%{version}/html/*  $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}-%{version}/html/
install $RPM_BUILD_DIR/%{name}-%{version}/AUTHORS $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}-%{version}
install $RPM_BUILD_DIR/%{name}-%{version}/Changelog $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}-%{version}
install $RPM_BUILD_DIR/%{name}-%{version}/README $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}-%{version}
install $RPM_BUILD_DIR/%{name}-%{version}/COPYING $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}-%{version}
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/%{_lib}/security/*
%{_bindir}/*
%{_mandir}/*/*
%{_defaultdocdir}/*
%config(noreplace) %{_sysconfdir}/hotplug.d/default/pamusb.hotplug
%config(noreplace) %{_sysconfdir}/pam.d/usbhotplug/usbhotplug.pam
%config(noreplace) %{_sysconfdir}/pam_usb/handlers/xlock.sh
%config(noreplace) %{_sysconfdir}/pam_usb/hotplug.conf


%changelog
* Tue Aug 03 2004 Erwan Velu <erwan@mandrakesoft.com> 0.3.1-2mdk
- Adding documentation
* Tue Aug 03 2004 Erwan Velu <erwan@mandrakesoft.com> 0.3.1-1mdk
- 0.3.1
* Tue May 11 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.2.2-2mdk
- fixed doc permissions

* Tue May 11 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.2.2-1mdk
- removed patch0 (kernel 2.6 is supported upstream now)
- fixed URL
- rpmbuildupdate compatible

* Fri Jan 23 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.2-0.rc2.1mdk
- initial packaging

# end of file
